@charset "UTF-8";
@import url(reset.css);
@font-face {
  font-family: "bocton-serif-right";
  src: url("../fonts/bocton/serif-right.otf"); }

@font-face {
  font-family: "bocton-logo";
  src: url("../fonts/bocton/logo2.otf"); }

@font-face {
  font-family: "bocton-logo-extend";
  src: url("../fonts/bocton/logo-extend.otf"); }

@font-face {
  font-family: "bocton";
  src: url("../fonts/bocton/classique.otf"); }

@font-face {
  font-family: "bocton-condens";
  src: url("../fonts/bocton/ux0.5.otf"); }

@font-face {
  font-family: "bocton-extend";
  src: url("../fonts/bocton/ux1.5.otf"); }

html {
  font-size: 16px; }

nav {
  display: flex;
  flex-wrap: wrap;
  position: fixed;
  width: 30%;
  top: 0; }
  nav #tags.visible li {
    display: block; }
  nav #tags {
    text-align: left;
    font-family: "bocton-extend";
    font-size: 0.8em;
    line-height: 1.2rem;
    position: fixed;
    bottom: 0.5rem;
    right: 0.5rem;
    color: white;
    background-color: #644b0a;
    max-height: 50vh;
    overflow-y: scroll; }
    nav #tags h5 {
      background-color: pink;
      color: #3c3cc8;
      font-size: 1rem;
      line-height: 1.2rem;
      padding: 0.5rem;
      border: outset 0.5rem pink;
      text-transform: uppercase; }
    nav #tags h5:hover {
      cursor: pointer;
      border: inset 0.5rem pink; }
    nav #tags li {
      text-transform: capitalize;
      margin: 0 1rem 0 1rem;
      display: none; }
    nav #tags li:first-of-type {
      margin-top: 0.75rem; }
    nav #tags li:last-of-type {
      margin-bottom: 1rem; }
    nav #tags > li:hover,
    nav #tags > li.active {
      cursor: pointer;
      color: yellow; }
    nav #tags > li.active::before,
    nav #tags > li:hover::before {
      content: "● "; }
    nav #tags li::before {
      content: "○ "; }

.title {
  padding-top: 10vh;
  font-family: "bocton-logo";
  font-size: 32vh;
  line-height: 16vh;
  text-align: left;
  color: #3c3cc8; }
  .title:nth-of-type(odd) {
    background: linear-gradient(to right, pink 20%, #644b0a 40%, #FF0 60%, #644b0a 80%);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent; }
  .title:nth-of-type(even) {
    background: linear-gradient(to right, yellow 0%, #3c3cc8 20%, pink 60%, #3c3cc8 80%);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent; }

header {
  margin-bottom: 1em;
  display: flex;
  flex-wrap: wrap; }
  header * {
    display: inline-block;
    font-family: "bocton-logo";
    font-size: 2em; }
  header h2 {
    text-decoration: underline;
    text-transform: uppercase;
    font-size: 4em;
    width: 75%;
    margin: 0 0 0.25rem 0; }
  header h4 {
    font-family: "bocton-condens";
    letter-spacing: 2px;
    width: 25%; }
  header h3 {
    font-family: "bocton-condens";
    letter-spacing: 2px;
    width: 50%; }

#posts {
  margin: 0 2rem 0 35vh; }

.post {
  padding: 2rem;
  margin: 2rem 0 2rem 0; }
  .post:nth-of-type(odd) {
    box-shadow: -5px -5px 15px #3c3cc8;
    color: #3c3cc8; }
    .post:nth-of-type(odd) h3 {
      background: linear-gradient(to right, #3c3cc8 80%, #FF0 100%);
      -webkit-background-clip: text;
      -webkit-text-fill-color: transparent; }
    .post:nth-of-type(odd) h2 {
      background: linear-gradient(to right, pink 0%, #3c3cc8 80%);
      -webkit-background-clip: text;
      -webkit-text-fill-color: transparent; }
  .post:nth-of-type(even) {
    box-shadow: -5px -5px 15px #644b0a;
    color: #644b0a; }
    .post:nth-of-type(even) h3 {
      background: linear-gradient(to right, #644b0a 80%, #FF0 100%);
      -webkit-background-clip: text;
      -webkit-text-fill-color: transparent; }
    .post:nth-of-type(even) h2 {
      background: linear-gradient(to right, pink 0%, #644b0a 10%);
      -webkit-background-clip: text;
      -webkit-text-fill-color: transparent; }
  .post .images {
    display: flex;
    flex-wrap: wrap; }
    .post .images img {
      display: inline;
      max-width: 100%;
      max-height: 98vh;
      margin: 0 0 2rem 0; }
  .post .text {
    width: 60%;
    font-size: 1.4rem;
    color: #3c3cc8;
    padding: 0 0 2rem 0;
    font-family: "bocton-serif-right"; }

.tagMode #posts .post {
  display: none; }

.tagMode #posts .post.active {
  display: block; }

@media only screen and (max-width: 600px) {
  html {
    font-size: 12px; }
  nav {
    position: relative;
    width: 100%; }
    nav .title {
      overflow: visible;
      font-size: 6rem;
      line-height: 8rem;
      padding: 0;
      display: inline; }
  main {
    margin: 0 1rem 0 1rem; }
    main #posts {
      margin: 0; }
      main #posts .post .text {
        width: 100%; } }
